<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:background="@color/ui_surface"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    android:paddingBottom="20dp">

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center_vertical"
            android:paddingLeft="25dp"
            android:paddingRight="25dp"
            android:text="@string/title_suggest_game"
            android:textColor="@color/text_secondary" />

        <ImageView
            android:id="@+id/dialog_suggest_game_back"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="20dp"
            android:padding="4dp"
            android:src="@drawable/ask_search_input_delete" />
    </RelativeLayout>

    <View
        android:layout_width="310dp"
        android:layout_height="@dimen/cutting_line" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="300dp">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/dialog_suggest_game_rv"
            android:layout_width="match_parent"
            android:layout_height="300dp"
            android:paddingLeft="15dp"
            android:paddingRight="15dp" />

        <ProgressBar
            android:id="@+id/dialog_suggest_game_load"
            style="@style/android:Widget.Holo.ProgressBar"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerInParent="true" />

    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="25dp"
        android:layout_marginRight="25dp"
        android:layout_marginTop="20dp">

        <TextView
            android:id="@+id/dialog_suggest_manual"
            android:layout_width="match_parent"
            android:layout_height="35dp"
            android:background="@drawable/border_suggest_bg"
            android:gravity="center"
            android:text="手动填写"
            android:textColor="@color/content"
            android:textSize="14sp"
            android:visibility="visible" />

        <RelativeLayout
            android:id="@+id/dialog_suggest_manual_container"
            android:layout_width="wrap_content"
            android:layout_height="35dp"
            android:visibility="gone"
            android:gravity="center_vertical">

            <EditText
                android:id="@+id/dialog_suggest_edit"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/news_search_bg"
                android:hint="请输入游戏名字"
                android:paddingLeft="20dp"
                android:paddingRight="53dp"
                android:singleLine="true"
                android:maxLength="30"
                android:textColorHint="@color/text_neutral"
                android:textCursorDrawable="@drawable/cursor_color"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/dialog_suggest_confirm"
                android:layout_width="48dp"
                android:layout_height="match_parent"
                android:layout_alignParentRight="true"
                android:background="@drawable/news_search_btn"
                android:gravity="center"
                android:text="确定"
                android:textColor="@color/ui_surface"
                android:textSize="14sp" />

        </RelativeLayout>
    </RelativeLayout>
</LinearLayout>